cc.funkemunky.api.commands.ancmd

## Class SpigotCommand

- java.lang.Object
- - org.bukkit.command.Command
  - - cc.funkemunky.api.commands.ancmd.SpigotCommand

    public class SpigotCommand
    extends org.bukkit.command.Command

### Field Summary

Fields
`protected SpigotCompleter` `completer`

### Fields inherited from class org.bukkit.command.Command

`description, timings, usageMessage`

### Constructor Summary

Constructors
Constructor and Description
`SpigotCommand(java.lang.String label, org.bukkit.command.CommandExecutor executor, org.bukkit.plugin.Plugin owner)`
`SpigotCommand(java.lang.String label, org.bukkit.command.CommandExecutor executor, org.bukkit.plugin.Plugin owner, boolean notAno)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `execute(org.bukkit.command.CommandSender sender, java.lang.String commandLabel, java.lang.String[] args)`
`java.util.List<java.lang.String>` `tabComplete(org.bukkit.command.CommandSender sender, java.lang.String alias, java.lang.String[] args)`

### Methods inherited from class org.bukkit.command.Command

`broadcastCommandMessage, broadcastCommandMessage, getAliases, getDescription, getLabel, getName, getPermission, getPermissionMessage, getTimingName, getUsage, isRegistered, register, setAliases, setDescription, setLabel, setName, setPermission, setPermissionMessage, setUsage, tabComplete, tabComplete, testPermission, testPermissionSilent, toString, unregister`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### completer

    protected SpigotCompleter completer

### Constructor Detail

#### SpigotCommand

    public SpigotCommand(java.lang.String label,
                         org.bukkit.command.CommandExecutor executor,
                         org.bukkit.plugin.Plugin owner)

#### SpigotCommand

    public SpigotCommand(java.lang.String label,
                         org.bukkit.command.CommandExecutor executor,
                         org.bukkit.plugin.Plugin owner,
                         boolean notAno)

### Method Detail

#### execute

    public boolean execute(org.bukkit.command.CommandSender sender,
                           java.lang.String commandLabel,
                           java.lang.String[] args)

Specified by:
  `execute` in class `org.bukkit.command.Command`

#### tabComplete

    public java.util.List<java.lang.String> tabComplete(org.bukkit.command.CommandSender sender,
                                                        java.lang.String alias,
                                                        java.lang.String[] args)
                                                 throws org.bukkit.command.CommandException,
                                                        java.lang.IllegalArgumentException

Overrides:
  `tabComplete` in class `org.bukkit.command.Command`
Throws:
  `org.bukkit.command.CommandException`
  `java.lang.IllegalArgumentException`